Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
personlist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZContactMain", "Language" )
| $Max = $ini->variable( "eZContactMain", "MaxPersonList" )
if(!is_numeric( $Max)) | $t
| $user =& eZUser::currentUser()
| $session =& eZSession::globalSession()
switch( $LimitType) | $person = new eZPerson()
if(!isset( $SearchText)) | else
| $search_encoded = eZURITool::encode( $search_encoded )
| $total_persons = $person->getAllCount( $SearchText, $LimitType )
| $persons = $person->getAll( $SearchText, $Offset, $Max, $LimitType )
| $count = count( $persons )

## Variable Documentation

## ◆ $count

$count = count( $persons )

Definition at line 167 of file personlist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 28 of file personlist.php.

## ◆ $Language

$Language = $ini->variable( "eZContactMain", "Language" )

Definition at line 29 of file personlist.php.

## ◆ $Max

$Max = $ini->variable( "eZContactMain", "MaxPersonList" )

Definition at line 30 of file personlist.php.

## ◆ $person

switch ($LimitType) $person = new eZPerson()

Definition at line 137 of file personlist.php.

## ◆ $persons

$persons = $person->getAll( $SearchText, $Offset, $Max, $LimitType )

Definition at line 164 of file personlist.php.

## ◆ $search_encoded

$search_encoded = eZURITool::encode( $search_encoded )

Definition at line 160 of file personlist.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 98 of file personlist.php.

## ◆ $t

if (!is_numeric($Max)) $t

Initial value:
= new eZTemplate( "kernel/ezcontact/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ),
"kernel/ezcontact/admin/intl", $Language, "personedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: personlist.php:29
$ini
$ini
Definition: personlist.php:28

Definition at line 41 of file personlist.php.

## ◆ $total_persons

$total_persons = $person->getAllCount( $SearchText, $LimitType )

Definition at line 163 of file personlist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 51 of file personlist.php.

## ◆ else

if ($count==0) else

Initial value:
{
$search_encoded = $SearchText
$SearchText
$SearchText
Definition: ezaddress/admin/typelist.php:143
$search_encoded
$search_encoded
Definition: personlist.php:160

Definition at line 157 of file personlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.